summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilipp Joram2015-08-24 01:29:56 +0200
committerPhilipp Joram2015-08-24 01:29:56 +0200
commit44d18ae011af9966fe91f6cc71f16dc48dedfdad (patch)
treec5ec721ebc7efa11617fd2e752a67d48655323bf
downloadaur-44d18ae011af9966fe91f6cc71f16dc48dedfdad.tar.gz
Initial import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD30
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..93d615d38c9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = python-axolotl-git
+ pkgdesc = The python-axolotl package, needed for Whatsapp Moxie support
+ pkgver = r39.9585d72
+ pkgrel = 1
+ url = https://github.com/tgalal/python-axolotl
+ arch = any
+ license = GPL
+ makedepends = python-setuptools
+ depends = python
+ depends = python-dateutil
+ source = git://github.com/tgalal/python-axolotl
+ sha512sums = SKIP
+
+pkgname = python-axolotl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2a527c072a0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Philipp Joram <phijor AT t-online DOT de>
+# Contributor: Hugo Osvaldo Barrera <hugo@barrera.io>
+# Contributor: Mohammed Yaseen Mowzer <moyamodehacker@gmail.com>
+# Contributor: Jonas Heinrich <onny@project-insanity.org>
+
+pkgname='python-axolotl-git'
+_pkgname='python-axolotl'
+pkgver=r39.9585d72
+pkgrel=1
+pkgdesc="The python-axolotl package, needed for Whatsapp Moxie support"
+url="https://github.com/tgalal/python-axolotl"
+arch=('any')
+license=('GPL')
+depends=('python' 'python-dateutil')
+makedepends=('python-setuptools')
+source=('git://github.com/tgalal/python-axolotl')
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+ python setup.py install --root="$pkgdir/"
+}